Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.LineBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.LineBorder
                  |
                  +--javax.swing.plaf.BorderUIResource.LineBorderUIResource

public static class BorderUIResource.LineBorderUIResource
extends LineBorder
implements UIResource

See Also:
  Serialized Form

Fields inherited from class javax.swing.border.LineBorder
`lineColor, roundedCorners, thickness`

Constructor Summary
`BorderUIResource.LineBorderUIResource(java.awt.Color color)`
`BorderUIResource.LineBorderUIResource(java.awt.Color color, int thickness)`

Methods inherited from class javax.swing.border.LineBorder
`createBlackLineBorder, createGrayLineBorder, getBorderInsets, getBorderInsets, getLineColor, getThickness, isBorderOpaque, paintBorder`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.LineBorderUIResource

    public BorderUIResource.LineBorderUIResource(java.awt.Color color)

### BorderUIResource.LineBorderUIResource

    public BorderUIResource.LineBorderUIResource(java.awt.Color color,
                                                 int thickness)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.